## ruamel.yaml 0.10.23

=== Makefile ===

UTILNAME:=yaml
PKGNAME:=ruamel.yaml
VERSION:=$(shell python setup.py --version)
REGEN:=/home/bin/ruamel_util_new util --published --command YAML --skip-hg

include ~/.config/ruamel_util_new/Makefile.inc

gen_win_whl:
	python2 setup.py bdist_wheel --plat-name win32
	python2 setup.py bdist_wheel --plat-name win_amd64
	python3 setup.py bdist_wheel --plat-name win32
	python3 setup.py bdist_wheel --plat-name win_amd64
	#@python make_win_whl.py dist/$(PKGNAME)-$(VERSION)-*-none-any.whl

clean:	clean_common
	find . -name "*py.class" -exec rm {} +

cython:	ext/_yaml.c

ext/_yaml.c:	ext/_yaml.pyx
	cd ext; cython _yaml.pyx
	
ls-l:
	ls -l dist/*$(VERSION)*

#tstvenv: testvenv testsetup testtest
#
#testvenv:
#	virtualenv -p /opt/python/2.7/bin/python testvenv
#
#testsetup:
#	testvenv/bin/pip install -e .
#	testvenv/bin/pip install pytest
#
#testtest:
#	testvenv/bin/py.test

=== debian/changelog ===
ruamel.yaml (0.10.23-1) unstable; urgency=medium

  * New upstream release.
  * d/watch: download from Bitbucket to get tests.
  * d/rules: enable tests.

 -- Vincent Bernat <bernat@debian.org>  Wed, 17 Feb 2016 10:50:25 +0100

ruamel.yaml (0.10.12-2) unstable; urgency=medium

  * Patch out requirement on ruamel.base.

 -- Vincent Bernat <bernat@debian.org>  Sat, 05 Dec 2015 17:18:07 +0100

ruamel.yaml (0.10.12-1) unstable; urgency=low

  * Initial release. Closes: #803007.

 -- Vincent Bernat <bernat@debian.org>  Wed, 18 Nov 2015 08:54:42 +0100

=== debian/control ===
Source: ruamel.yaml
Section: python
Priority: optional
Maintainer: Vincent Bernat <bernat@debian.org>
Build-Depends: debhelper (>= 9), dh-python,
               cython,
               cython3,
               python-all-dev,
               python-ruamel.ordereddict,
               python-setuptools,
               python3-all-dev,
               python3-setuptools,
               python-pytest,
               python3-pytest
Standards-Version: 3.9.6
Homepage: https://bitbucket.org/ruamel/yaml
Vcs-Git: git://anonscm.debian.org/python-modules/packages/ruamel.yaml.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/ruamel.yaml.git

Package: python-ruamel.yaml
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends},
Recommends: ${python:Recommends}
Suggests: ${python:Suggests}
XB-Python-Egg-Name: ruamel.yaml
Description: roundtrip YAML parser/emitter (Python 2 module)
 ruamel.yaml is a YAML parser supporting roundtrip preservation of
 comments, seq/map flow style and map key order. It is a derivative of
 Kirill Simonov's PyYAML 3.11 which supports YAML1.1.
 .
 This package contains the Python 2 module.

Package: python3-ruamel.yaml
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
XB-Python-Egg-Name: ruamel.yaml
Description: roundtrip YAML parser/emitter (Python 3 module)
 ruamel.yaml is a YAML parser supporting roundtrip preservation of
 comments, seq/map flow style and map key order. It is a derivative of
 Kirill Simonov's PyYAML 3.11 which supports YAML1.1.
 .
 This package contains the Python 3 module.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=ruamel.yaml
export PYBUILD_INSTALL_ARGS=--single-version-externally-managed
export PYBUILD_AFTER_INSTALL_python2=rm -rf {destdir}/usr/bin/
export PYBUILD_BEFORE_BUILD_python2=cython ext/_ruamel_yaml.pyx
export PYBUILD_BEFORE_BUILD_python3=cython3 ext/_ruamel_yaml.pyx
export PYBUILD_BEFORE_TEST=ln -s {dir}/_test {build_dir}/
export PYBUILD_TEST_ARGS=_test/test_*.py

%:
	dh $@ --with python3,python2 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	rm debian/python*-ruamel.yaml/usr/lib/python*/dist-packages/ruamel/yaml/make_win_whl.py

=== debian/watch ===
# try also https://pypi.debian.net/ruamel.yaml/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://bitbucket.org/ruamel/yaml/downloads .*/(\d\S*)\.tar\.gz

## ruamel.yaml 0.11.14

=== debian/changelog ===
ruamel.yaml (0.11.14-1) unstable; urgency=medium

  * New upstream version.

 -- Vincent Bernat <bernat@debian.org>  Fri, 15 Jul 2016 08:06:38 +0200

ruamel.yaml (0.11.11-2) unstable; urgency=medium

  * Clean .ruamel directory. Closes: #830338.

 -- Vincent Bernat <bernat@debian.org>  Fri, 08 Jul 2016 12:16:10 +0200

ruamel.yaml (0.11.11-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Vincent Bernat ]
  * New upstream release.
    + Drop patch about ruamel.base: not needed anymore.
    + make_win_whl.py is not shipped upstream anymore.
  * Bump Standards-Version.

 -- Vincent Bernat <bernat@debian.org>  Sat, 21 May 2016 16:54:33 +0200

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,9 @@
                python3-setuptools,
                python-pytest,
                python3-pytest
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://bitbucket.org/ruamel/yaml
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/ruamel.yaml.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/ruamel.yaml.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/ruamel.yaml.git
 
 Package: python-ruamel.yaml

=== debian/rules ===
--- 
+++ 
@@ -6,11 +6,8 @@
 export PYBUILD_BEFORE_BUILD_python2=cython ext/_ruamel_yaml.pyx
 export PYBUILD_BEFORE_BUILD_python3=cython3 ext/_ruamel_yaml.pyx
 export PYBUILD_BEFORE_TEST=ln -s {dir}/_test {build_dir}/
+export PYBUILD_BEFORE_TEST_python2=$(PYBUILD_BEFORE_TEST); ln -s /usr/lib/{interpreter}/dist-packages/ruamel/ordereddict /usr/lib/{interpreter}/dist-packages/ruamel/__init__.py {build_dir}/ruamel/.
 export PYBUILD_TEST_ARGS=_test/test_*.py
 
 %:
 	dh $@ --with python3,python2 --buildsystem=pybuild
-
-override_dh_auto_install:
-	dh_auto_install
-	rm debian/python*-ruamel.yaml/usr/lib/python*/dist-packages/ruamel/yaml/make_win_whl.py

## ruamel.yaml 0.13.4

=== debian/changelog ===
ruamel.yaml (0.13.4-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Fri, 24 Feb 2017 19:50:24 +0100

ruamel.yaml (0.13.4-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Enable autopkgtest-pkg-python testsuite

  [ Vincent Bernat ]
  * Build-Depends on python-typing. Closes: #850023.

 -- Vincent Bernat <bernat@debian.org>  Sat, 07 Jan 2017 08:43:02 +0100

ruamel.yaml (0.13.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #848540
  * Fixed watch file
  * d/control: Use DPMT as maintainer
  * Skip tests since there is no test suite inside the source package

 -- Andreas Tille <tille@debian.org>  Sun, 18 Dec 2016 11:36:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: ruamel.yaml
 Section: python
 Priority: optional
-Maintainer: Vincent Bernat <bernat@debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Vincent Bernat <bernat@debian.org>
 Build-Depends: debhelper (>= 9), dh-python,
                cython,
                cython3,
                python-all-dev,
                python-ruamel.ordereddict,
                python-setuptools,
+               python-typing,
                python3-all-dev,
                python3-setuptools,
                python-pytest,
@@ -16,6 +18,7 @@
 Homepage: https://bitbucket.org/ruamel/yaml
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/ruamel.yaml.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/ruamel.yaml.git
+Testsuite: autopkgtest-pkg-python
 
 Package: python-ruamel.yaml
 Architecture: any

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/ruamel.yaml/ruamel.yaml-(.+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## ruamel.yaml 0.15.34

=== debian/changelog ===
ruamel.yaml (0.15.34-1) unstable; urgency=medium

  * New upstream release.
  * d/control: bump Standards-Version.
  * d/watch: switch to HTTPS.

 -- Vincent Bernat <bernat@debian.org>  Mon, 13 Nov 2017 23:13:13 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python3-setuptools,
                python-pytest,
                python3-pytest
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: https://bitbucket.org/ruamel/yaml
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/ruamel.yaml.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/ruamel.yaml.git

=== debian/rules ===
--- 
+++ 
@@ -11,3 +11,6 @@
 
 %:
 	dh $@ --with python3,python2 --buildsystem=pybuild
+
+override_dh_auto_test:
+	echo "There is no test suite available"

## ruamel.yaml 0.15.89

=== debian/changelog ===
ruamel.yaml (0.15.89-3build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:47:01 +0100

ruamel.yaml (0.15.89-3) unstable; urgency=medium

  * upload to unstable; Closes: #938418, #862737

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Nov 2019 22:09:18 -0400

ruamel.yaml (0.15.89-2) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Sandro Tosi ]
  * Drop python2 support; Closes; #938418, #862737

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Nov 2019 17:12:09 -0400

ruamel.yaml (0.15.89-1) experimental; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Andreas Tille ]
  * debhelper 12
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Remove trailing whitespace in debian/copyright

 -- Andreas Tille <tille@debian.org>  Tue, 12 Mar 2019 15:10:31 +0100

=== debian/control ===
Source: ruamel.yaml
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Vincent Bernat <bernat@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               cython3,
               python3-all-dev,
               python3-setuptools,
               python3-pytest
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/python-team/modules/ruamel.yaml
Vcs-Git: https://salsa.debian.org/python-team/modules/ruamel.yaml.git
Homepage: https://bitbucket.org/ruamel/yaml

Package: python3-ruamel.yaml
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: roundtrip YAML parser/emitter (Python 3 module)
 ruamel.yaml is a YAML parser supporting roundtrip preservation of
 comments, seq/map flow style and map key order. It is a derivative of
 Kirill Simonov's PyYAML 3.11 which supports YAML1.1.
 .
 This package contains the Python 3 module.
XB-Python-Egg-Name: ruamel.yaml

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=ruamel.yaml
export PYBUILD_INSTALL_ARGS=--single-version-externally-managed
export PYBUILD_BEFORE_BUILD_python3=cython3 ext/_ruamel_yaml.pyx
export PYBUILD_BEFORE_TEST=ln -s {dir}/_test {build_dir}/
export PYBUILD_TEST_ARGS=_test/test_*.py

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	echo "There is no test suite available"
endif

## ruamel.yaml 0.16.10-2-cl4.3.1u3

=== debian/changelog ===
ruamel.yaml (0.16.10-2-cl4.3.1u3) RELEASED; urgency=medium

  * new build for 4.3.1 from original hash
    9be3ddbc49ab67d849df7ef7ed52282261366cde

 -- root <root@7490f848894d>  Wed, 15 Jun 2022 22:39:08 +0000

ruamel.yaml (0.16.10-2-cl4u1) unstable; urgency=medium

  * Initial commit of Cumulus Linux ruamel.yaml

 -- dev-support <dev-support@cumulusnetworks.com>  Fri, 11 Sep 2020 11:13:00 -0500

ruamel.yaml (0.16.10-2) unstable; urgency=medium

  * Team upload.
  * Switch to "any" binary package now that the cpython code has moved to
    ruamel.yaml.clib

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 16 Jun 2020 14:09:06 +0200

ruamel.yaml (0.16.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Update references from bitbucket to sourceforge

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 16 Jun 2020 12:18:03 +0200

=== debian/control ===
--- 
+++ 
@@ -7,19 +7,24 @@
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                cython3,
-               python3-all-dev,
+               python3-all,
                python3-setuptools,
-               python3-pytest
-Standards-Version: 4.4.1
+               python3-pytest,
+               python3-ruamel.yaml.clib
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/python-team/modules/ruamel.yaml
 Vcs-Git: https://salsa.debian.org/python-team/modules/ruamel.yaml.git
-Homepage: https://bitbucket.org/ruamel/yaml
+Homepage: http://yaml.readthedocs.io
+Rules-Requires-Root: no
+XS-Build-Source: True
+XS-Cumulus-Valid-Arch: amd64
+XBCS-Vcs-Hash: 9be3ddbc49ab67d849df7ef7ed52282261366cde
 
 Package: python3-ruamel.yaml
-Architecture: any
+Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
-         ${shlibs:Depends}
+         python3-ruamel.yaml.clib
 Recommends: ${python3:Recommends}
 Suggests: ${python3:Suggests}
 Description: roundtrip YAML parser/emitter (Python 3 module)
@@ -28,4 +33,5 @@
  Kirill Simonov's PyYAML 3.11 which supports YAML1.1.
  .
  This package contains the Python 3 module.
-XB-Python-Egg-Name: ruamel.yaml
+XBCS-Vcs-Hash: 9be3ddbc49ab67d849df7ef7ed52282261366cde
+

## ruamel.yaml 0.16.12

=== debian/changelog ===
ruamel.yaml (0.16.12-2) unstable; urgency=medium

  * Team upload.
  * debian/patches/big_endian: default to pure Python processing on big-endian
    systems. Closes: #962194

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 19 Oct 2020 12:19:34 +0200

ruamel.yaml (0.16.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Use secure URI in Homepage field.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 08 Oct 2020 14:58:27 +0200

ruamel.yaml (0.16.10-3) UNRELEASED; urgency=medium

  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Ondřej Nový <onovy@debian.org>  Thu, 24 Sep 2020 08:50:35 +0200

=== debian/control ===
Source: ruamel.yaml
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Vincent Bernat <bernat@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               cython3,
               python3-all,
               python3-setuptools,
               python3-pytest,
               python3-ruamel.yaml.clib
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/ruamel.yaml
Vcs-Git: https://salsa.debian.org/python-team/packages/ruamel.yaml.git
Homepage: https://yaml.readthedocs.io
Rules-Requires-Root: no

Package: python3-ruamel.yaml
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-ruamel.yaml.clib
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: roundtrip YAML parser/emitter (Python 3 module)
 ruamel.yaml is a YAML parser supporting roundtrip preservation of
 comments, seq/map flow style and map key order. It is a derivative of
 Kirill Simonov's PyYAML 3.11 which supports YAML1.1.
 .
 This package contains the Python 3 module.

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 export PYBUILD_NAME=ruamel.yaml
 export PYBUILD_INSTALL_ARGS=--single-version-externally-managed
-export PYBUILD_BEFORE_BUILD_python3=cython3 ext/_ruamel_yaml.pyx
+#export PYBUILD_BEFORE_BUILD_python3=cython3 ext/_ruamel_yaml.pyx
 export PYBUILD_BEFORE_TEST=ln -s {dir}/_test {build_dir}/
 export PYBUILD_TEST_ARGS=_test/test_*.py

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/ruamel.yaml/ruamel.yaml-(.+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## ruamel.yaml 0.17.16

=== debian/changelog ===
ruamel.yaml (0.17.16-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * add :any to Build-Depends: python3-all:any
  * Standards-Version: 4.6.0

 -- Drew Parsons <dparsons@debian.org>  Thu, 14 Oct 2021 00:22:30 +0200

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                cython3,
-               python3-all,
+               python3-all:any,
                python3-setuptools,
                python3-pytest,
                python3-ruamel.yaml.clib
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/ruamel.yaml
 Vcs-Git: https://salsa.debian.org/python-team/packages/ruamel.yaml.git
 Homepage: https://yaml.readthedocs.io

## ruamel.yaml 0.17.21

=== debian/changelog ===
ruamel.yaml (0.17.21-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.17.21
  * Bump Standards-Version to 4.6.2

 -- Samuel Henrique <samueloph@debian.org>  Fri, 23 Dec 2022 19:44:32 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-setuptools,
                python3-pytest,
                python3-ruamel.yaml.clib
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/ruamel.yaml
 Vcs-Git: https://salsa.debian.org/python-team/packages/ruamel.yaml.git
 Homepage: https://yaml.readthedocs.io

## ruamel.yaml 0.18.6+ds

=== debian/changelog ===
ruamel.yaml (0.18.6+ds-3) unstable; urgency=medium

  * Team upload
  * Fix big-endian patch: there is a further point in code where clib
    is still loaded that has to be skipped on big-endian machines

 -- Julian Gilbey <jdg@debian.org>  Thu, 18 Apr 2024 14:17:35 +0100

ruamel.yaml (0.18.6+ds-2) unstable; urgency=medium

  * Team upload
  * Fix skipping of clib tests on big-endian machines

 -- Julian Gilbey <jdg@debian.org>  Thu, 18 Apr 2024 06:50:33 +0100

ruamel.yaml (0.18.6+ds-1) unstable; urgency=medium

  * Team upload
  * Rename upstream version number as +ds as it is being repacked from
    SourceForge clone
  * Reinstate a version of the big-endian patch (removed in 0.18.6-1) as
    it still fails on big-endian systems

 -- Julian Gilbey <jdg@debian.org>  Thu, 18 Apr 2024 06:20:52 +0100

ruamel.yaml (0.18.6-2) unstable; urgency=medium

  * Team upload.
  * Fix autopkgtests in ruamel.yaml.clib and depend on that version

 -- Julian Gilbey <jdg@debian.org>  Mon, 15 Apr 2024 14:04:05 +0100

ruamel.yaml (0.18.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Use VCS source to include package tests
  * Bump Standards-Version to 4.7.0
  * New version appears to work on s390x, so remove old patch

 -- Julian Gilbey <jdg@debian.org>  Mon, 15 Apr 2024 07:29:08 +0100

## ruamel.yaml 0.18.10+ds

=== debian/changelog ===
ruamel.yaml (0.18.10+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Refreshed the big_endian patch

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 24 Jan 2025 13:04:20 +0100

=== debian/control ===
Source: ruamel.yaml
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Vincent Bernat <bernat@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all:any,
               python3-pytest <!nocheck>,
               python3-ruamel.yaml.clib,
               python3-setuptools
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/ruamel.yaml
Vcs-Git: https://salsa.debian.org/python-team/packages/ruamel.yaml.git
Homepage: https://yaml.readthedocs.io
Rules-Requires-Root: no

Package: python3-ruamel.yaml
Architecture: all
Depends: python3-ruamel.yaml.clib (>= 0.2.8-2),
         ${misc:Depends},
         ${python3:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: Roundtrip YAML parser/emitter (Python 3 module)
 ruamel.yaml is a YAML parser supporting roundtrip preservation of
 comments, seq/map flow style and map key order. It is a derivative of
 Kirill Simonov's PyYAML which supports YAML 1.2.
 .
 This package contains the Python 3 module.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=ruamel.yaml
export PYBUILD_INSTALL_ARGS=--single-version-externally-managed
export PYBUILD_TEST_ARGS=_test/test_*.py

%:
	dh $@ --with python3 --buildsystem=pybuild

# pybuild introduces this file
execute_after_dh_clean:
	rm -f pyproject.toml

=== debian/watch ===
version=4
opts="dversionmangle=auto" \
https://pypi.python.org/packages/source/r/ruamel.yaml/ \
    ruamel.yaml-@ANY_VERSION@@ARCHIVE_EXT@ \
    debian debian/get-hg-version

## ruamel.yaml 0.18.14

=== debian/changelog ===
ruamel.yaml (0.18.14-1) experimental; urgency=medium

  * Team upload.
  * Switched to new upstream location as per
    https://sourceforge.net/p/ruamel-yaml/tickets/403/#1ff9
    in d/watch, d/copyright, d/README.source
  * d/get-hg-version: removed, no longer needed
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 09 Jun 2025 13:09:33 +0300

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python3-ruamel.yaml.clib,
                python3-setuptools
 Testsuite: autopkgtest-pkg-pybuild
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/ruamel.yaml
 Vcs-Git: https://salsa.debian.org/python-team/packages/ruamel.yaml.git
 Homepage: https://yaml.readthedocs.io

=== debian/watch ===
version=4
opts="dversionmangle=auto" \
https://yaml.dev/ruamel-dl-tagged-releases/ \
    ruamel.yaml-@ANY_VERSION@@ARCHIVE_EXT@
